For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
      • GETGet detailed attribution metrics for a single Brevo campaign or workflow
      • GETGet attributed product sales for a single Brevo campaign or workflow
      • GETGet attribution metrics for one or more Brevo campaigns or workflows
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
EcommerceRevenue Attribution

Get detailed attribution metrics for a single Brevo campaign or workflow

GET
https://api.brevo.com/v3/ecommerce/attribution/metrics/:conversionSource/:conversionSourceId
GET
/v3/ecommerce/attribution/metrics/:conversionSource/:conversionSourceId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.ecommerce.getDetailedAttributionMetricsForASingleBrevoCampaignOrWorkflow("email_campaign", "sale");
8}
9main();
1{
2 "averageBasket": 1.1,
3 "conversionSource": "email_campaign",
4 "id": 1.1,
5 "ordersCount": 1.1,
6 "revenue": 1.1,
7 "newCustomersCount": 1.1
8}
Retrieve detailed attribution metrics for a single Brevo campaign or automation workflow, identified by its conversion source type and ID. The response includes orders count, revenue, average basket value, and the number of new customers attributed to that specific campaign or workflow.
Was this page helpful?
Previous

Get attributed product sales for a single Brevo campaign or workflow

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

conversionSourceenumRequired
The Brevo campaign type or workflow type for which data will be retrieved
Allowed values:
conversionSourceIdstringRequired
The Brevo campaign or automation workflow id for which data will be retrieved

Response

OK
averageBasketdouble
conversionSourceenum
Allowed values:
iddouble
ordersCountdouble
revenuedouble
newCustomersCountdouble

Errors

400
Bad Request Error